Bug 123885 - ldconfig complains about /usr/lib/liblicense.so
Summary: ldconfig complains about /usr/lib/liblicense.so
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-21 11:15 UTC by Antonio Dolcetta
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 08:56:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Antonio Dolcetta 2004-05-21 11:15:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Firefox/0.8

Description of problem:
[root@svxb1p064p root]# ldconfig 
ldconfig: /usr/lib/liblicense.so is not an ELF file - it has the wrong
magic bytes at the start.
[root@svxb1p064p root]# file /usr/lib/liblicense.so
/usr/lib/liblicense.so: current ar archive


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
blah

Additional info:

Comment 1 Jakub Jelinek 2004-05-25 08:56:17 UTC
/usr/lib/liblicense.so is not part of the distribution, so this is
a bug of whoever provides that file.
Ar archives should not use .so extension, ldconfig is right to complain
about this.


Note You need to log in before you can comment on or make changes to this bug.